Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000743KdenliveFile Loadingpublic2009-04-04 01:592009-06-18 01:51
Reporterjohndoe789 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.2 
Target VersionFixed in Version0.7.3 
Summary0000743: Crashes when loading any video file
DescriptionThread 1 (Thread 0x7fe79e99e750 (LWP 19046)):
#0 0x00007fe797df9ce1 in nanosleep () from /lib64/libc.so.6
#1 0x00007fe797df9adc in sleep () from /lib64/libc.so.6
0000002 0x00007fe79a89d3bf in ?? () from /usr/lib64/libkdeui.so.5
0000003 0x00007fe79a89dd1a in KCrash::defaultCrashHandler(int) () from /usr/lib64/libkdeui.so.5
0000004 <signal handler called>
0000005 0x00007fe78c989617 in ?? () from /usr/lib64/libswscale.so.0
0000006 0x00007fe78c98bb2d in ?? () from /usr/lib64/libswscale.so.0
0000007 0x00007fe78c981004 in sws_scale () from /usr/lib64/libswscale.so.0
0000008 0x00007fe78dd93c0b in ?? () from /usr/lib64/mlt/libmltavformat.so
0000009 0x00007fe79e5af091 in mlt_frame_get_image () from /usr/lib64/libmlt.so.1
0000010 0x00007fe78e3a3dda in ?? () from /usr/lib64/mlt/libmltxine.so
0000011 0x00007fe79e5af091 in mlt_frame_get_image () from /usr/lib64/libmlt.so.1
0000012 0x00007fe78e5afb99 in ?? () from /usr/lib64/mlt/libmltcore.so
0000013 0x00007fe79e5af091 in mlt_frame_get_image () from /usr/lib64/libmlt.so.1
0000014 0x00007fe78e5b0395 in ?? () from /usr/lib64/mlt/libmltcore.so
0000015 0x00007fe79e5af091 in mlt_frame_get_image () from /usr/lib64/libmlt.so.1
0000016 0x00007fe79e392738 in Mlt::Frame::get_image(mlt_image_format&, int&, int&, int) () from /usr/lib64/libmlt++.so.1
0000017 0x00000000004baf6c in Render::getFileProperties (this=0xc35370, xml=@0x7fffa69de500, clipId=@0x174ff38) at /usr/src/debug/kdenlive-0.7.2.1/src/renderer.cpp:590
0000018 0x00000000004ddece in KdenliveDoc::addClip (this=0x1546b10, elem={<QDomNode> = {impl = 0x7fffa69ded40}, <No data fields>}, clipId=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 15794}, alloc = 0, size = 0, data = 0x95161a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 148}, alloc = 0, size = 0, data = 0x7fe79deb487a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffa69ded30, static codecForCStrings = 0x0}, createClipItem=true) at /usr/src/debug/kdenlive-0.7.2.1/src/kdenlivedoc.cpp:1297
0000019 0x0000000000471682 in AddClipCommand::redo (this=0x16af040) at /usr/src/debug/kdenlive-0.7.2.1/src/addclipcommand.cpp:40
0000020 0x00007fe79be43c03 in QUndoCommand::redo() () from /usr/lib64/libQtGui.so.4
0000021 0x00007fe79be45538 in QUndoStack::push(QUndoCommand*) () from /usr/lib64/libQtGui.so.4
0000022 0x00000000005773c6 in ClipManager::slotAddClipList (this=0x1546560, urls=
          {<QList<KUrl>> = {{p = {static shared_null = {ref = {_q_value = 15646}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x3}, d = 0x3}}, <No data fields>}, group=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 15794}, alloc = 0, size = 0, data = 0x95161a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 148}, alloc = 0, size = 0, data = 0x7fe79deb487a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffa69df040, static codecForCStrings = 0x0}, groupId=@0x7fffa69df100) at /usr/src/debug/kdenlive-0.7.2.1/src/clipmanager.cpp:227
0000023 0x00000000004d82a9 in KdenliveDoc::slotAddClipList (this=0x1546b10, urls=
          {<QList<KUrl>> = {{p = {static shared_null = {ref = {_q_value = 15646}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x7fffa69df0e0}, d = 0x7fffa69df0e0}}, <No data fields>}, group=<value optimized out>, groupId=@0x7fffa69df100) at /usr/src/debug/kdenlive-0.7.2.1/src/kdenlivedoc.cpp:1405
0000024 0x000000000049ff96 in ProjectList::slotAddClip (this=0xa695c0, givenUrl={<QUrl> = {d = 0x7fffa69df1a0}, d = 0x49ff96}, group=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 15794}, alloc = 0, size = 0, data = 0x95161a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 148}, alloc = 0, size = 0, data = 0x7fe79deb487a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffa69df200, static codecForCStrings = 0x0}) at /usr/src/debug/kdenlive-0.7.2.1/src/projectlist.cpp:492
0000025 0x00000000004a0809 in ProjectList::qt_metacall (this=0xa695c0, _c=<value optimized out>, _id=<value optimized out>, _a=0x7fffa69df370)
    at /usr/src/debug/kdenlive-0.7.2.1/build/src/cmake_bindir/projectlist.moc:163
0000026 0x00007fe79dbd69c2 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQtCore.so.4
0000027 0x00007fe79b81cef7 in QAction::triggered(bool) () from /usr/lib64/libQtGui.so.4
0000028 0x00007fe79b81e370 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQtGui.so.4
0000029 0x00007fe79bc30fcc in ?? () from /usr/lib64/libQtGui.so.4
0000030 0x00007fe79bc36fee in ?? () from /usr/lib64/libQtGui.so.4
0000031 0x00007fe79b873ded in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
0000032 0x00007fe79bc397ab in QMenu::event(QEvent*) () from /usr/lib64/libQtGui.so.4
0000033 0x00007fe79b822e8d in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
0000034 0x00007fe79b82b7fa in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
0000035 0x00007fe79a83af8b in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
0000036 0x00007fe79dbc0f3c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
0000037 0x00007fe79b82aa48 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib64/libQtGui.so.4
0000038 0x00007fe79b8944c4 in ?? () from /usr/lib64/libQtGui.so.4
0000039 0x00007fe79b892f78 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
0000040 0x00007fe79b8ba394 in ?? () from /usr/lib64/libQtGui.so.4
0000041 0x00007fe79627b0db in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000042 0x00007fe79627e8ad in ?? () from /usr/lib64/libglib-2.0.so.0
0000043 0x00007fe79627ea6b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000044 0x00007fe79dbea65f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000045 0x00007fe79b8b9b1f in ?? () from /usr/lib64/libQtGui.so.4
0000046 0x00007fe79dbbf7d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000047 0x00007fe79dbbfb9d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000048 0x00007fe79bc39605 in QMenu::exec(QPoint const&, QAction*) () from /usr/lib64/libQtGui.so.4
0000049 0x00007fe79bc7f889 in ?? () from /usr/lib64/libQtGui.so.4
0000050 0x00007fe79bc80b5d in QToolButton::mousePressEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
0000051 0x00007fe79b873fc6 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
0000052 0x00007fe79b822e8d in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
0000053 0x00007fe79b82b7fa in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
0000054 0x00007fe79a83af8b in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
0000055 0x00007fe79dbc0f3c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
0000056 0x00007fe79b82aa48 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib64/libQtGui.so.4
0000057 0x00007fe79b894309 in ?? () from /usr/lib64/libQtGui.so.4
#58 0x00007fe79b892f78 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
0000059 0x00007fe79b8ba394 in ?? () from /usr/lib64/libQtGui.so.4
0000060 0x00007fe79627b0db in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000061 0x00007fe79627e8ad in ?? () from /usr/lib64/libglib-2.0.so.0
0000062 0x00007fe79627ea6b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000063 0x00007fe79dbea65f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000064 0x00007fe79b8b9b1f in ?? () from /usr/lib64/libQtGui.so.4
0000065 0x00007fe79dbbf7d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000066 0x00007fe79dbbfb9d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000067 0x00007fe79dbc1e84 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
0000068 0x0000000000472715 in main (argc=1, argv=0x7fffa69e2858) at /usr/src/debug/kdenlive-0.7.2.1/src/main.cpp:81
Additional InformationopenSUSE 11.1, KDE 4.2.2 from KDE4 Factory Repositories, Qt4.5, ATI fglrx 9.2, x64, Packman packages
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships

-  Notes
(0002645)
administrator (administrator)
2009-04-05 11:49

Can you play a video file using MLT's command line player:

inigo myvideo.mpg

If that does not work, then your MLT installation is broken
(0002655)
johndoe789 (reporter)
2009-04-06 03:38

Trying to play a file with inigo and looking at dmesg led me to the discovery that some of the library packages used by ffmpeg were installed from a different repository (VideoLan) than ffmpeg was installed from (Packman). After installing only Packman libraries, the crashes disappeared.

It would be best though if Kdenlive could be fixed so that it does not crash when loading of a file fails (for whatever reason).

Thanks.

- Issue History
Date Modified Username Field Change
2009-04-04 01:59 johndoe789 New Issue
2009-04-04 01:59 johndoe789 Build/Install Method => 3rd party package
2009-04-05 11:49 administrator Note Added: 0002645
2009-04-05 11:49 administrator Status new => feedback
2009-04-06 03:38 johndoe789 Note Added: 0002655
2009-04-08 19:14 administrator Status feedback => resolved
2009-04-08 19:14 administrator Resolution open => fixed
2009-04-08 19:14 administrator Fixed in Version => Recent git
2009-04-15 13:07 madsdyd Fixed in Version Recent git => 0.7.3
2009-06-18 01:51 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker